Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Delete an item

DELETE
/conversations/{conversation_id}/items/{item_id}

Delete an item from a conversation with the given IDs.

Path Parameters
conversation_id: string

The ID of the conversation that contains the item.

item_id: string

The ID of the item to delete.

Returns
Conversation object { id, created_at, metadata, object }
id: string

The unique ID of the conversation.

created_at: integer

The time at which the conversation was created, measured in seconds since the Unix epoch.

formatunixtime
metadata: map[string]

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

object: "conversation" (default: "conversation")

The object type, which is always conversation.

Delete an item

curl -X DELETE https://api.openai.com/v1/conversations/conv_123/items/msg_abc \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response example
{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}
Returns Examples
Response example
{
  "id": "conv_123",
  "object": "conversation",
  "created_at": 1741900000,
  "metadata": {"topic": "demo"}
}